| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::dnn::TextDetectionModel_EAST Class Reference
Deep Neural Network module

This class represents high-level API for text detection DL networks compatible with EAST model. More...

`#include <opencv2/dnn/dnn.hpp>`

Collaboration diagram for cv::dnn::TextDetectionModel_EAST:

## Public Member Functions
| TextDetectionModel_EAST ()
| TextDetectionModel_EAST (const Net &network)
| Create text detection algorithm from deep learning network.
| TextDetectionModel_EAST (CV_WRAP_FILE_PATH const std::string &model, CV_WRAP_FILE_PATH const std::string &config="")
| Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
float | getConfidenceThreshold () const
| Get the detection confidence threshold.
float | getNMSThreshold () const
| Get the detection confidence threshold.
TextDetectionModel_EAST & | setConfidenceThreshold (float confThreshold)
| Set the detection confidence threshold.
TextDetectionModel_EAST & | setNMSThreshold (float nmsThreshold)
| Set the detection NMS filter threshold.
Public Member Functions inherited from cv::dnn::TextDetectionModel
void | detect (InputArray frame, std::vector< std::vector< Point > > &detections) const
void | detect (InputArray frame, std::vector< std::vector< Point > > &detections, std::vector< float > &confidences) const
| Performs detection.
void | detectTextRectangles (InputArray frame, std::vector< cv::RotatedRect > &detections) const
void | detectTextRectangles (InputArray frame, std::vector< cv::RotatedRect > &detections, std::vector< float > &confidences) const
| Performs detection.
Public Member Functions inherited from cv::dnn::Model
| Model ()
| Model (const Model &)=default
| Model (const Net &network)
| Create model from deep learning network.
| Model (CV_WRAP_FILE_PATH const String &model, CV_WRAP_FILE_PATH const String &config="")
| Create model from deep learning network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.
| Model (Model &&)=default
Model & | enableWinograd (bool useWinograd)
Impl * | getImpl () const
Impl & | getImplRef () const
Net & | getNetwork_ ()
Net & | getNetwork_ () const
| operator Net & () const
Model & | operator= (const Model &)=default
Model & | operator= (Model &&)=default
void | predict (InputArray frame, OutputArrayOfArrays outs) const
| Given the `input` frame, create input blob, run net and return the output `blobs`.
Model & | setInputCrop (bool crop)
| Set flag crop for frame.
Model & | setInputMean (const Scalar &mean)
| Set mean value for frame.
void | setInputParams (double scale=1.0, const Size &size=Size(), const Scalar &mean=Scalar(), bool swapRB=false, bool crop=false)
| Set preprocessing parameters for frame.
Model & | setInputScale (const Scalar &scale)
| Set scalefactor value for frame.
Model & | setInputSize (const Size &size)
| Set input size for frame.
Model & | setInputSize (int width, int height)
Model & | setInputSwapRB (bool swapRB)
| Set flag swapRB for frame.
Model & | setOutputNames (const std::vector< String > &outNames)
| Set output names for frame.
Model & | setPreferableBackend (dnn::Backend backendId)
Model & | setPreferableTarget (dnn::Target targetId)

## Additional Inherited Members
Protected Member Functions inherited from cv::dnn::TextDetectionModel
| TextDetectionModel ()
Protected Attributes inherited from cv::dnn::Model
Ptr< Impl > | impl

## Detailed Description

This class represents high-level API for text detection DL networks compatible with EAST model.

Configurable parameters:

- (float) confThreshold - used to filter boxes by confidences, default: 0.5f
- (float) nmsThreshold - used in non maximum suppression, default: 0.0f

Examples
  samples/dnn/text_detection.cpp.

## Constructor & Destructor Documentation

## ◆ TextDetectionModel_EAST() [1/3]

cv::dnn::TextDetectionModel_EAST::TextDetectionModel_EAST | ( |  | ) |

Python:
| cv.dnn.TextDetectionModel_EAST( | network | ) -> | <dnn_TextDetectionModel_EAST object>
| cv.dnn.TextDetectionModel_EAST( | model[, config] | ) -> | <dnn_TextDetectionModel_EAST object>

## ◆ TextDetectionModel_EAST() [2/3]

cv::dnn::TextDetectionModel_EAST::TextDetectionModel_EAST | ( | const Net & | network | ) |

Python:
| cv.dnn.TextDetectionModel_EAST( | network | ) -> | <dnn_TextDetectionModel_EAST object>
| cv.dnn.TextDetectionModel_EAST( | model[, config] | ) -> | <dnn_TextDetectionModel_EAST object>

Create text detection algorithm from deep learning network.

Parameters

  [in] | network | Net object

## ◆ TextDetectionModel_EAST() [3/3]

cv::dnn::TextDetectionModel_EAST::TextDetectionModel_EAST | ( | CV_WRAP_FILE_PATH const std::string & | model,
|  | CV_WRAP_FILE_PATH const std::string & | config = "" )
| inline

Python:
| cv.dnn.TextDetectionModel_EAST( | network | ) -> | <dnn_TextDetectionModel_EAST object>
| cv.dnn.TextDetectionModel_EAST( | model[, config] | ) -> | <dnn_TextDetectionModel_EAST object>

Create text detection model from network represented in one of the supported formats. An order of `model` and `config` arguments does not matter.

Parameters

  [in] | model | Binary file contains trained weights.
  [in] | config | Text file contains network configuration.

Here is the call graph for this function:

## Member Function Documentation

## ◆ getConfidenceThreshold()

float cv::dnn::TextDetectionModel_EAST::getConfidenceThreshold | ( |  | ) | const

Python:
| cv.dnn.TextDetectionModel_EAST.getConfidenceThreshold( |  | ) -> | retval

Get the detection confidence threshold.

## ◆ getNMSThreshold()

float cv::dnn::TextDetectionModel_EAST::getNMSThreshold | ( |  | ) | const

Python:
| cv.dnn.TextDetectionModel_EAST.getNMSThreshold( |  | ) -> | retval

Get the detection confidence threshold.

## ◆ setConfidenceThreshold()

TextDetectionModel_EAST & cv::dnn::TextDetectionModel_EAST::setConfidenceThreshold | ( | float | confThreshold | ) |

Python:
| cv.dnn.TextDetectionModel_EAST.setConfidenceThreshold( | confThreshold | ) -> | retval

Set the detection confidence threshold.

Parameters

  [in] | confThreshold | A threshold used to filter boxes by confidences

## ◆ setNMSThreshold()

TextDetectionModel_EAST & cv::dnn::TextDetectionModel_EAST::setNMSThreshold | ( | float | nmsThreshold | ) |

Python:
| cv.dnn.TextDetectionModel_EAST.setNMSThreshold( | nmsThreshold | ) -> | retval

Set the detection NMS filter threshold.

Parameters

  [in] | nmsThreshold | A threshold used in non maximum suppression

The documentation for this class was generated from the following file:

- opencv2/dnn/dnn.hpp